# Account

## Account Data Overview&#x20;

## Gets deposit address  for given token

<mark style="color:blue;">`GET`</mark> `https://api.aio.exchange/api/v2/account/depositaddress/{tokenId}`

This is a private endpoint. Provides the deposit address for all the available networks for given symbol&#x20;

#### Path Parameters

| Name                                      | Type | Description                                 |
| ----------------------------------------- | ---- | ------------------------------------------- |
| tokenId<mark style="color:red;">\*</mark> | Int  | Token ID of the currency e.g. for Bitcon: 1 |

{% tabs %}
{% tab title="200: OK /api/v1/account/usdt" %}
{% code overflow="wrap" %}

```json
// GET  Response

{
  "data": [
    {
      "symbol": "USDT",
      "memo": null,
      "network": "AVAXC",
      "networkName": "Avalanche C Chain",
      "contractAddress": "0x9702230A8Ea53601f5cD2dc00fDBc13d4dF4A8c7",
      "depositFee": 0.000000,
      "withdrawFee": 0.036242,
      "minDeposit": 0.036242,
      "minWithdraw": 0.036242,
      "walletAddress": "0xD909Eb85f8382420798117165Ce1c1c200E5b65a",
      "isAvailable": true,
      "name": "Tether"
    },
    {
      "symbol": "USDT",
      "memo": null,
      "network": "BEP20",
      "networkName": "Binance Smart Chain",
      "contractAddress": "0x55d398326f99059ff775485246999027b3197955",
      "depositFee": 0.000000,
      "withdrawFee": 0.732676,
      "minDeposit": 0.732676,
      "minWithdraw": 0.732676,
      "walletAddress": "0x7CE90D7B1B85Aa3819F9AED34F8498a115A85B4f",
      "isAvailable": true,
      "name": "Tether"
    },
    {
      "symbol": "USDT",
      "memo": null,
      "network": "ERC20",
      "networkName": "Ethereum",
      "contractAddress": "0xdac17f958d2ee523a2206206994597c13d831ec7",
      "depositFee": 0.000000,
      "withdrawFee": 1.743782,
      "minDeposit": 1.743782,
      "minWithdraw": 1.743782,
      "walletAddress": "0x28943786289171336Caa987c0aC7d07AcFb8E913",
      "isAvailable": true,
      "name": "Tether USDt"
    }
  ],
  "success": true,
  "timestamp": 1707726849953,
  "requestId": "bceba251-249b-4e21-b9e7-70549d563419",
  "message": "",
  "error": null
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aio.exchange/account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
